﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Fatture2010
{
    public partial class FormPersonalData : Form
    {
        public DSInvoices MainDataSource;

        public FormPersonalData()
        {
            InitializeComponent();
        }

        private void FormPersonalData_Load(object sender, EventArgs e)
        {
            if (MainDataSource.DTPersonalData.Rows.Count == 0)
                MainDataSource.DTPersonalData.AddDTPersonalDataRow("[DEFAULT]","","","","","","","","","");

            dTPersonalDataBindingSource.DataSource = MainDataSource;
            dTPersonalDataBindingSource.ResetBindings(false);
        }

        private void btnHeaderPath_Click(object sender, EventArgs e)
        {
            if (textBoxHeaderPath.Text == "[DEFAULT]")
                openFileDialog.FileName = Application.StartupPath + "\\InvoiceHeader.jpg";
            else 
                openFileDialog.FileName = textBoxHeaderPath.Text;
                
            if (openFileDialog.ShowDialog() == DialogResult.OK)
                textBoxHeaderPath.Text = openFileDialog.FileName;
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            dTPersonalDataBindingSource.EndEdit();
        }

    }
}
